Imports WS_Ch15.StockService
Public Class MyStockData
  Private _CompanyName As String
  Private _LastTradeAmount As Decimal
  Private _StockChange As Decimal
  Private _ChangePercent As String
  Private _LastTradeDateTime As DateTime
  Private _StockSymbol As String
  Public Sub New(ByVal QD As QuoteData)
    _CompanyName = QD.CompanyName
    _LastTradeAmount = QD.LastTradeAmount
    _StockChange = QD.StockChange
    _ChangePercent = QD.ChangePercent
    _LastTradeDateTime = QD.LastTradeDateTime
    _StockSymbol = QD.StockSymbol
  End Sub

  Public ReadOnly Property CompanyName() As String
  Get
    Return _CompanyName
  End Get
  End Property

  Public ReadOnly Property LastTradeAmount() As String
  Get
    Return _LastTradeAmount.ToString()
  End Get
  End Property

  Public ReadOnly Property StockChange() As String
  Get
    Return _StockChange.ToString()
  End Get
  End Property

  Public ReadOnly Property ChangePercent() As String
  Get
    Return _ChangePercent
  End Get
  End Property

  Public ReadOnly Property LastTradeDateTime() As String
  Get
    Return _LastTradeDateTime.ToString("MM/dd/yyyy hh:mm tt")
  End Get
  End Property

  Public ReadOnly Property StockSymbol() As String
  Get
    Return _StockSymbol
  End Get
  End Property
End Class
