<%@ Register TagPrefix="Portal" Tagname="Footer" Src="footer.ascx" %>
<%@ Register TagPrefix="Portal" Tagname="Header" Src="header.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="default.aspx.vb" Inherits="WS_Ch15.HomePage"%>
<Portal:Header id="PageHeader" runat="server" Title="My Home Page" />
<p class="text"><b>Actions:</b> [ <a href="profile.aspx">Edit My Profile</a> | <a href="logout.aspx">
    Log Out</a> ]</p>
<hr noshade>
<p class="subheading">Current Weather</p>
<table cellspacing="4" cellpadding="4" id="tblWeather" runat="server">
  <tr>
    <td valign="center">
      <img id="imgGraphic" runat="server">
    </td>
    <td valign="top">
      <asp:Label id="lblCityState" runat="server" class="largetext" />
      <table cellpadding="0" cellspacing="0">
        <tr>
          <td class="text">Temperature:</td>
          <td class="text"><asp:Label id="lblTemperature" runat="server" class="text" /></td>
        </tr>
        <tr>
          <td class="text">Conditions:</td>
          <td class="text"><asp:Label id="lblConditions" runat="server" class="text" /></td>
        </tr>
        <tr>
          <td class="text">Humidity:</td>
          <td class="text"><asp:Label id="lblHumidity" runat="server" class="text" /></td>
        </tr>
      </table>
    </td>
  </tr>
</table>

<ASP:Repeater id="rptStocks" runat="server">
  <HeaderTemplate>
    <hr noshade>
    <table cellpadding="4" cellspacing="0" width="100%">
    <tr>
      <td colspan="2" class="subheading">Stock Watcher</td>
    </tr>
    <tr class="tableheading">
      <td width="30%" align="center">Company Name</td>
      <td width="10%" align="center">Last Price</td>
      <td width="10%" align="center">Change</td>
      <td width="10%" align="center">% Change</td>
      <td width="20%" align="center">Time</td>
      <td width="20%" align="center">Actions</td>
    </tr>
  </HeaderTemplate>      
  <ItemTemplate>
    <tr class="tabletext">
      <td><%# DataBinder.Eval(Container.DataItem, "CompanyName") %></td>
      <td align="right"><%# DataBinder.Eval(Container.DataItem, "LastTradeAmount") %></td>
      <td align="right"><%# DataBinder.Eval(Container.DataItem, "StockChange") %></td>
      <td align="center"><%# DataBinder.Eval(Container.DataItem, "ChangePercent") %></td>
      <td align="center"><%# DataBinder.Eval(Container.DataItem, "LastTradeDateTime") %></td>
      <td align="center">
      <a href="http://quote.yahoo.com/q?d=v1&s=<%# DataBinder.Eval(Container.DataItem, "StockSymbol") %>" target=_blank>View&nbsp;Details</a>
      </td>
    </tr>
  </ItemTemplate>
  <AlternatingItemTemplate>
    <tr class="tabletext_gray">
      <td><%# DataBinder.Eval(Container.DataItem, "CompanyName") %></td>
      <td align="right"><%# DataBinder.Eval(Container.DataItem, "LastTradeAmount") %></td>
      <td align="right"><%# DataBinder.Eval(Container.DataItem, "StockChange") %></td>
      <td align="center"><%# DataBinder.Eval(Container.DataItem, "ChangePercent") %></td>
      <td align="center"><%# DataBinder.Eval(Container.DataItem, "LastTradeDateTime") %></td>
      <td align="center">
      <a href="http://quote.yahoo.com/q?d=v1&s=<%# DataBinder.Eval(Container.DataItem, "StockSymbol") %>" target=_blank>View&nbsp;Details</a>
      </td>
    </tr>
  </AlternatingItemTemplate>
  <FooterTemplate>
    </table>
  </FooterTemplate>
</ASP:Repeater>

<ASP:Repeater id="rptArticles" runat="server">
  <HeaderTemplate>
    <hr noshade>
    <table cellpadding="4" cellspacing="0" width="100%">
    <tr>
      <td colspan="2" class="subheading">News Headlines</td>
    </tr>
    <tr class="tableheading">
      <td width="60%" align="center">Article Title</td>
      <td width="30%" align="center">Date/Time</td>
      <td width="10%" align="center">Actions</td>
    </tr>
  </HeaderTemplate>      
  <ItemTemplate>
    <tr class="tabletext">
      <td valign="top"><%# DataBinder.Eval(Container.DataItem, "headline_text") %><br>
      <i><%# DataBinder.Eval(Container.DataItem, "source") %></i>
      </td>
      <td valign="top" align="center">
      <%# DateTime.Parse(DataBinder.Eval(Container.DataItem, "harvest_time")).ToString("MM/dd/yyyy hh:mm tt") %>
      </td>
      <td valign="top" align="center">
      <a href="<%# DataBinder.Eval(Container.DataItem, "url") %>" target=_blank>View</a>
      </td>
    </tr>
  </ItemTemplate>
  <AlternatingItemTemplate>
    <tr class="tabletext_gray">
      <td valign="top"><%# DataBinder.Eval(Container.DataItem, "headline_text") %><br>
      <i><%# DataBinder.Eval(Container.DataItem, "source") %></i>
      </td>
      <td valign="top" align="center">
      <%# DateTime.Parse(DataBinder.Eval(Container.DataItem, "harvest_time")).ToString("MM/dd/yyyy hh:mm tt") %>
      </td>
      <td valign="top" align="center">
      <a href="<%# DataBinder.Eval(Container.DataItem, "url") %>" target=_blank>View</a>
      </td>
    </tr>
  </AlternatingItemTemplate>
  <FooterTemplate>
    </table>
  </FooterTemplate>
</ASP:Repeater>


<Portal:Footer id="PageFooter" runat="server" />
