<%@ Page Language="vb" AutoEventWireup="false" Codebehind="profile.aspx.vb" Inherits="WS_Ch15.profile"%>
<%@ Register TagPrefix="Portal" Tagname="Header" Src="header.ascx" %>
<%@ Register TagPrefix="Portal" Tagname="Footer" Src="footer.ascx" %>
<Portal:Header id="PageHeader" runat="server" Title="Profile Editor" />
<p class="text">Your profile allows you to store your current ZIP code for the 
  local weather in your area, as well as an unlimited number of stock symbols 
  that you wish to track. Enter the symbols in the box, separated by at least one 
  space.
</p>
<form runat="server" ID="frmUser">
  <asp:ValidationSummary id="valSummary" runat="server" CssClass="errortext" HeaderText="ERROR: The following problems were found and need to be corrected:"></asp:ValidationSummary>
  <table cellspacing="5">
    <tr class="text" id="trUserName" runat="server">
      <td align="right" class="boldtext">User Name:</td>
      <td>
        <asp:textbox id="txtUserName" columns="20" maxlength="20" runat="server" Text='<%# dr("UserName") %>' />
        <asp:RequiredFieldValidator id="valReqUserName" runat="server" ErrorMessage="User name is a required field." ControlToValidate="txtUserName" Display="None"></asp:RequiredFieldValidator>
      </td>
    </tr>
    <tr class="text" runat="server" id="trPassword">
      <td align="right" class="boldtext">Password:</td>
      <td>
        <asp:textbox id="txtPassword" textmode="Password" columns="20" maxlength="20" runat="server"  Text='<%# dr("Password") %>' />
        <asp:RequiredFieldValidator id="valReqPassword" runat="server" ErrorMessage="Password is a required field." ControlToValidate="txtPassword" Display="None"></asp:RequiredFieldValidator>
      </td>
    </tr>
    <tr class="text" runat="server" id="trConfirmPassword">
      <td align="right" class="boldtext">Confirm Password:</td>
      <td>
        <asp:textbox id="txtConfirmPassword" textmode="Password" columns="20" maxlength="20" runat="server"  Text='<%# dr("Password") %>' />
        <asp:RequiredFieldValidator id="valReqConfirm" runat="server" ErrorMessage="Please confirm the password you entered." ControlToValidate="txtConfirmPassword" Display="None"></asp:RequiredFieldValidator>
        <asp:CompareValidator id="valCompConfirm" runat="server" ErrorMessage="The passwords you entered do not match." ControlToValidate="txtConfirmPassword" ControlToCompare="txtPassword" Display="None"></asp:CompareValidator>
      </td>
    </tr>
    <tr class="text">
      <td align="right" class="boldtext">ZIP Code:</td>
      <td>
        <asp:textbox id="txtZIP" columns="10" maxlength="50" runat="server"  Text='<%# dr("ZipCode") %>' />
        <asp:RequiredFieldValidator id="valReqZip" runat="server" ErrorMessage="ZIP code is a required field." ControlToValidate="txtZIP" Display="None"></asp:RequiredFieldValidator>
      </td>
    </tr>
    <tr class="text">
      <td align="right" class="boldtext">Stock Symbol(s):</td>
      <td>
        <asp:textbox id="txtStocks" TextMode="MultiLine" Wrap="True" Rows="10" Columns="60" runat="server" />
      </td>
    </tr>
    <tr class="text">
      <td colspan="2">&nbsp;</td>
    </tr>
    <tr class="text">
      <td colspan="2" align="middle">
        <input type="submit" id="btnSave" runat="server" value="Save" NAME="btnSave"> <input type="reset" id="btnReset" value="Clear">
      </td>
    </tr>
  </table>
</form>
<Portal:Footer id="PageFooter" runat="server" />
